[arch-commits] Commit in progsreiserfs/trunk (PKGBUILD)

Eric Bélanger eric at archlinux.org
Fri Apr 17 02:24:00 EDT 2009


    Date: Friday, April 17, 2009 @ 02:24:00
  Author: eric
Revision: 35788

upgpkg: progsreiserfs 0.3.0.5-4
    Added license, FHS man pages

Modified:
  progsreiserfs/trunk/PKGBUILD

----------+
 PKGBUILD |   24 +++++++++++-------------
 1 file changed, 11 insertions(+), 13 deletions(-)

Modified: PKGBUILD
===================================================================
--- PKGBUILD	2009-04-17 05:13:48 UTC (rev 35787)
+++ PKGBUILD	2009-04-17 06:24:00 UTC (rev 35788)
@@ -3,26 +3,24 @@
 
 pkgname=progsreiserfs
 pkgver=0.3.0.5
-pkgrel=3
-depends=('e2fsprogs')
+pkgrel=4
 pkgdesc="library for accessing and manipulating reiserfs partitions"
 arch=(i686 x86_64)
+url="http://www.namesys.com"
+license=('GPL')
+depends=('e2fsprogs')
+options=('!libtool')
 source=(#ftp://ftp.namesys.com/pub/libreiserfs/$pkgname-$pkgver.tar.gz
 	ftp://ftp.archlinux.org/other/progsreiserfs/$pkgname-$pkgver.tar.gz
 	)
-url="http://www.namesys.com"
 md5sums=('d822579bbd4a29a1be5e4490869d9bee')
 
 build()        {
-        cd $startdir/src/$pkgname-$pkgver
-        libtoolize -f
-        aclocal
-        ./configure --prefix=/usr
+        cd $srcdir/$pkgname-$pkgver
+        ./configure --prefix=/usr --mandir=/usr/share/man || return 1
         make || return 1
-        make DESTDIR=$startdir/pkg/ install
-	rm $startdir/pkg/usr/share/man/man8/mkfs.reiserfs.8
-        rm $startdir/pkg/usr/share/man/man8/resizefs.reiserfs.8
-        rm $startdir/pkg/usr/share/man/man8/tunefs.reiserfs.8
-	##libtoolslay
-	find $startdir/pkg -name '*.la' -exec rm {} \;
+        make DESTDIR=$pkgdir install || return 1
+	rm $pkgdir/usr/share/man/man8/mkfs.reiserfs.8
+        rm $pkgdir/usr/share/man/man8/resizefs.reiserfs.8
+        rm $pkgdir/usr/share/man/man8/tunefs.reiserfs.8
 }



More information about the arch-commits mailing list